# Maintainer: peippo <christoph+aur@christophfink.com>

pkgname="cups-print-to-email"
pkgdesc="Simple CUPS backend and PPD to print to e-mail"
url=

# This relies on your user’s e-mail being configured properly,
# e.g., in `~/.mailrc` (see https://wiki.archlinux.org/index.php/S-nail). 
# Consequently your user’s e-mail address is going to be the sender address.

# Then use the cups web interface to add a new printer, using a printer
# URL in the format `print-to-email://printer%40example.com` where 
# `printer@example.com` is the address print jobs will be sent to
# in PDF format. (`%40` is an url-encoded ‘@’ character)

# Finally, you have to allow the `cups` user to call `/usr/bin/mailx`
# as your username. You can add a file with the following contents to
# `/etc/sudoers.d/`:

# ```
# # allow cups to send emails as myuser
# cups ALL=(myuser) NOPASSWD: /usr/bin/mailx
# ```

pkgver=0.0.2
pkgrel=2

arch=("any")
license=("GPL")

depends=(
    "cups"
    "mailx"
)

source=("print-to-email.sh")
sha256sums=("0614609e8fc0ebaec8e44682c9a59153c611aa6a1469e55ccde192fd9a6aabd9")

package() {
    install -Dm500 "${srcdir}/print-to-email.sh" "${pkgdir}/usr/lib/cups/backend/print-to-email"
}
